Loading...
Searching...
No Matches
AVContentLightMetadata Struct Reference

Content light level needed by to transmit HDR over HDMI (CTA-861.3). More...

`#include <libavutil/mastering_display_metadata.h>`

## Data Fields

unsigned | MaxCLL
| Max content light level (cd/m^2).
unsigned | MaxFALL
| Max average light level per frame (cd/m^2).

## Detailed Description

Content light level needed by to transmit HDR over HDMI (CTA-861.3).

To be used as payload of a AVFrameSideData or AVPacketSideData with the appropriate type.

Note
  The struct should be allocated with av_content_light_metadata_alloc() and its size is not a part of the public ABI.

Definition at line 107 of file mastering_display_metadata.h.

## Field Documentation

## MaxCLL

unsigned AVContentLightMetadata::MaxCLL

Max content light level (cd/m^2).

Definition at line 111 of file mastering_display_metadata.h.

## MaxFALL

unsigned AVContentLightMetadata::MaxFALL

Max average light level per frame (cd/m^2).

Definition at line 116 of file mastering_display_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/mastering_display_metadata.h